LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
X11DragSource Service Referencepublished

This service connects the Java-like UNO Drag and Drop protocol to the X Drag and Drop protocol used on X-Servers to transfer data between applications via Drag and Drop operations. More...

`import"X11DragSource.idl";`

Inheritance diagram for X11DragSource:

## Exported Interfaces
interface | XDragSource
| Used to provide data to other applications via X Drag and Drop protocol. More...
interface | com::sun::star::lang::XInitialization
| The service expects an instance of com::sun::star::awt::XDisplayConnection as the first parameter. More...
interface | com::sun::star::lang::XComponent
| For shutdown and listener support. More...

## Additional Inherited Members
Public Member Functions inherited from XDragSource
boolean | isDragImageSupported ()
| In order to query if drag image support is available. More...
long | getDefaultCursor ([in] byte dragAction) raises ( com::sun::star::lang::IllegalArgumentException )
| To get the default cursor for a specified drag action. More...
void | startDrag ([in] DragGestureEvent trigger, [in] byte sourceActions, [in] long cursor, [in] long image, [in] com::sun::star::datatransfer::XTransferable trans, [in] XDragSourceListener listener)
| Starts the drag operation. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

This service connects the Java-like UNO Drag and Drop protocol to the X Drag and Drop protocol used on X-Servers to transfer data between applications via Drag and Drop operations.

See also
  XDragSource

## Exported Interfaces

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

For shutdown and listener support.

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

The service expects an instance of com::sun::star::awt::XDisplayConnection as the first parameter.

## ◆ XDragSource

interface XDragSource

Used to provide data to other applications via X Drag and Drop protocol.

The documentation for this service was generated from the following file:

- com/sun/star/datatransfer/dnd/X11DragSource.idl